
For the last 15 years, I had been caring for my husband who had suffered a stroke. He was bedridden the last 5 years. I was also working a fulltime job. I had neglected my asthma symptoms for some time. One night, I was putting out the trash and had a difficult time breathing. I ran into the house to get my inhaler but couldn't get any air. I told my husband, who was in a hospital bed in the living room to ‘call 911, that I am going to die.’ He couldn't do it. So I grabbed the phone on the desk, called 911 and gasped, 'I can't breathe.'

This is the last thing I remember until the next afternoon when I was in a hospital bed and a doctor was at my bed, telling me I had a very traumatic event; that I had a cardiac arrest. My daughter, Andrea, was standing beside my bed, holding my hand. I was told that the emergency squad found me on the floor unresponsive with the phone in my hand. I was told that I had been intubated and became combative in the ambulance. Apparently, due to lack of oxygen to my brain, I had no short or long term memory. I remembered nothing from the time I called 911 to tell them I could not breathe.

Three days later, when I came home from the hospital, I was sitting in my family room trying to figure out what happened. Then I remembered it being dark and I felt a jolt. I saw very bright multi-colored lights, mostly purples and greens. Then I heard a voice in my head say, 'Do you want to stay here with Chris (my son who passed 7 years before) or go back to be with Andrea?' Then I heard a voice in my head say, 'I have to go back to be with Andrea, she needs me.'
